[SCM] Debian branch, master, updated. debian/1.2.2-1-7-g305c040

Xavier Guimard x.guimard at free.fr
Mon Nov 26 20:45:40 UTC 2012


The following commit has been merged in the master branch:
commit 51fb431ebbe1ed91846dbbed3d8e4a1e7e01c612
Author: Xavier Guimard <x.guimard at free.fr>
Date:   Mon Nov 26 21:39:12 2012 +0100

    Update postinst files

diff --git a/debian/liblemonldap-ng-conf-perl.postinst b/debian/liblemonldap-ng-conf-perl.postinst
index 244c11b..a9e8d57 100755
--- a/debian/liblemonldap-ng-conf-perl.postinst
+++ b/debian/liblemonldap-ng-conf-perl.postinst
@@ -8,17 +8,20 @@ set -e
 FIRSTCONFFILE=/var/lib/lemonldap-ng/conf/lmConf-1
 CONFDIR=/etc/lemonldap-ng
 SESSIONSDIR=/var/lib/lemonldap-ng/sessions
+CONFSTORAGEDIR=/var/lib/lemonldap-ng/conf
+LMINIFILE=/etc/lemonldap-ng/lemonldap-ng.ini
+MIGRATION=/usr/share/lemonldap-ng/bin/lmMigrateConfFiles2ini
 
 if [ "$1" == "configure" ]
 then
 	chmod 770 $SESSIONSDIR
 	chmod 770 $SESSIONSDIR/lock
 	chown -R www-data:www-data $SESSIONSDIR
-	chown -R www-data:www-data /var/lib/lemonldap-ng/conf
-	chmod 750 /var/lib/lemonldap-ng/conf
-	chmod 640 /var/lib/lemonldap-ng/conf/*
-	chgrp www-data /etc/lemonldap-ng/lemonldap-ng.ini
-	chmod 640 /etc/lemonldap-ng/lemonldap-ng.ini
+	chown -R www-data:www-data $CONFSTORAGEDIR
+	chmod 750 $CONFSTORAGEDIR
+	chmod 640 $CONFSTORAGEDIR/*
+	chgrp www-data $LMINIFILE
+	chmod 640 $LMINIFILE
 
 	for i in domain ldapServer ldapPort ldapBase managerDn managerPassword portal; do
 		db_get liblemonldap-ng-conf-perl/$i || true
@@ -30,7 +33,7 @@ then
 			db_get liblemonldap-ng-conf-perl/migrate
 			if [ "$RET" ]; then
 				# Run migration script
-				/usr/share/lemonldap-ng/bin/lmMigrateConfFiles2ini 2>&1 > /dev/null || :
+				$MIGRATION 2>&1 > /dev/null || :
 			fi
 		fi
 	fi
diff --git a/debian/liblemonldap-ng-portal-perl.postinst b/debian/liblemonldap-ng-portal-perl.postinst
index 5fab90e..b91262f 100644
--- a/debian/liblemonldap-ng-portal-perl.postinst
+++ b/debian/liblemonldap-ng-portal-perl.postinst
@@ -5,16 +5,14 @@ set -e
 
 . /usr/share/debconf/confmodule
 
-REFDIR=/usr/share/lemonldap-ng/portal/
-RUNDIR=/var/lib/lemonldap-ng/portal/
-FILES=$(find $REFDIR -name '*pl' -printf "%f ")
-SESSIONSDIR=/var/lib/lemonldap-ng/sessions
-
 BUILDPORTALWSDL=/usr/share/lemonldap-ng/bin/buildPortalWSDL
 WSDLFILE=/var/lib/lemonldap-ng/portal/portal.wsdl
 
+CAPTCHA_DIR=/var/lib/lemonldap-ng/portal/captcha_output
+
 if [ "$1" == "configure" ]
 then
 	$BUILDPORTALWSDL > $WSDLFILE || true
+	chown -R www-data:www-data $CAPTCHA_DIR
 fi
 

-- 
Debian



More information about the Pkg-perl-cvs-commits mailing list